Bug 605782 - [abrt] crash in calibre-0.6.42-1.fc13: __init__.py:150:set_metadata_:ValueError: A NULL handle was passed, but initialized data was expected.
[abrt] crash in calibre-0.6.42-1.fc13: __init__.py:150:set_metadata_:ValueErr...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: calibre (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
abrt_hash:5d0bf68b
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-18 14:34 EDT by Jay
Modified: 2011-06-27 14:32 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 14:32:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (833 bytes, text/plain)
2010-06-18 14:34 EDT, Jay
no flags Details

  None (edit)
Description Jay 2010-06-18 14:34:00 EDT
abrt 1.1.1 detected a crash.

architecture: x86_64
cmdline: python /usr/bin/calibre-parallel
component: calibre
executable: /usr/bin/calibre-parallel
kernel: 2.6.33.5-124.fc13.x86_64
package: calibre-0.6.42-1.fc13
reason: __init__.py:150:set_metadata_:ValueError: A NULL handle was passed, but initialized data was expected.
release: Fedora release 13 (Goddard)

backtrace
-----
__init__.py:150:set_metadata_:ValueError: A NULL handle was passed, but initialized data was expected.

Traceback (most recent call last):
  File "/usr/bin/calibre-parallel", line 19, in <module>
    sys.exit(main())
  File "/usr/lib64/calibre/calibre/utils/ipc/worker.py", line 98, in main
    result = func(*args, **kwargs)
  File "/usr/lib64/calibre/calibre/utils/podofo/__init__.py", line 150, in set_metadata_
    p.save(f)
ValueError: A NULL handle was passed, but initialized data was expected.

Local variables in innermost frame:
author: u'********'
f: '/tmp/calibre_0.6.42_AODo9q_pdf_set_metadata.pdf'
p: <podofo.PDFDoc object at 0x7ff42e7d5600>
bkp: u''
touched: True
authors: [u'********']
title: u'*****************'
path: '/tmp/calibre_0.6.42_ToRGuz_podofo.pdf'
TemporaryFile: <class 'calibre.ptempfile.TemporaryFile'>
Comment 1 Jay 2010-06-18 14:34:01 EDT
Created attachment 425225 [details]
File: backtrace
Comment 2 Kevin Fenzi 2010-06-21 21:56:54 EDT
Please 'yum update' and try and duplicate this with the new 0.6.55 update version.
Comment 3 Bug Zapper 2011-06-02 06:20:03 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2011-06-27 14:32:52 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.